# fn() valueDestruct
Destroys an object at specified position.

Defined in | <seqan/basic.h>
Signature | `void valueDestruct(iterator);`

## Parameters

`iterator` | Pointer or iterator to position where the object should be destructed.

## Detailed Description

The type of the constructed object is the value type of `iterator`.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn valueDestruct
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Destroys an object at specified position.
     *
     * @signature void valueDestruct(iterator);
     *
     * @param[in,out] iterator Pointer or iterator to position where the object
     *                         should be destructed.
     *
     * The type of the constructed object is the value type of <tt>iterator</tt>.
     */